#-----------------------------------------------------------------
#                 CORE
#-----------------------------------------------------------------

group = core
admin-port = 13000
admin-password = pwd
admin-deny-ip = "*.*.*.*"
admin-allow-ip = "127.0.0.1"
wdp-interface-name = "*"
log-file = "/var/log/kannel/bearerbox.log"
log-level = 1
box-deny-ip = "*.*.*.*"
box-allow-ip = "127.0.0.1"
smsbox-port = 13003
dlr-storage = spool
dlr-spool = /etc/kannel/spool


#-----------------------------------------------------------------
#                 SMSBOX
#-----------------------------------------------------------------

group = smsbox
bearerbox-host = localhost
sendsms-port = 13013
log-level = 1
log-file = "/var/log/kannel/smsbox.log"
access-log = "/var/log/kannel/sms.log"


#-----------------------------------------------------------------
#                 SMSC
#-----------------------------------------------------------------

group = smsc
smsc = smpp
smsc-id = smsc-platform
allowed-smsc-id = smsc-platform
host = 104.155.108.64
port = 2775
smsc-username = {USERNAME}
smsc-password = {PASSWORD}
transceiver-mode = yes
system-type = ""
log-file = "/var/log/kannel/smsc-platform.log"
log-level = 0
throughput = 10
alt-charset = LATIN1


#-----------------------------------------------------------------
#                 USERS
#-----------------------------------------------------------------

group = sendsms-user
username = username
password = pwd
forced-smsc = smsc-platform
name = users
user-deny-ip = "*.*.*.*"
user-allow-ip = "127.0.0.1"
max-messages = 3
concatenation = 1
omit-empty = 1